﻿using Syncfusion.UI.Xaml.Diagram;
using Syncfusion.UI.Xaml.Diagram.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Get_Selected_ModelItem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            (diagram.Info as IGraphInfo).ItemSelectedEvent += MainWindow_ItemSelectedEvent;
        }

        private void MainWindow_ItemSelectedEvent(object sender, DiagramEventArgs args)
        {
            var node = args.Item as NodeViewModel;
            if (node != null)
            {
                MessageBox.Show((node.Content as ObjectTree).Name.ToString());
            }
        }
    }

    public class ObjectTree
    {
        public string Name { get; set; }
        public string ParentId { get; set; }
        public int Id { get; set; }
    }

    public class ObjectTrees : ObservableCollection<ObjectTree>
    {

    }
}
